Package org.eclipse.cdt.core.dom.ast.gnu

# Interface IGNUASTTypeIdExpression

All Superinterfaces:
  `IASTExpression`, `IASTInitializerClause`, `IASTNode`, `IASTTypeIdExpression`

@Deprecated public interface IGNUASTTypeIdExpression extends IASTTypeIdExpression
Deprecated.
Use `IASTTypeIdExpression`, instead.

Restriction:
  This interface is not intended to be referenced by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`IASTExpression.ValueCategory`

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`op_alignof`
Deprecated.
`op_alignOf` is used for __alignOf( typeId ) type expressions.
`static final int`
`op_typeof`
Deprecated.
`op_typeof` is used for typeof( typeId ) type expressions.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`EMPTY_EXPRESSION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTTypeIdExpression

`op_has_nothrow_assign, op_has_nothrow_constructor, op_has_nothrow_copy, op_has_trivial_assign, op_has_trivial_constructor, op_has_trivial_copy, op_has_trivial_destructor, op_has_unique_object_representations, op_has_virtual_destructor, op_is_abstract, op_is_aggregate, op_is_class, op_is_empty, op_is_enum, op_is_final, op_is_literal_type, op_is_pod, op_is_polymorphic, op_is_standard_layout, op_is_trivial, op_is_trivially_copyable, op_is_union, op_sizeof, op_sizeofParameterPack, op_typeid, TYPE_ID`

## Method Summary

Modifier and Type
Method
Description
`IGNUASTTypeIdExpression`
`copy()`
Deprecated.
Returns a mutable copy of the tree rooted at this node.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`getExpressionType, getValueCategory, isLValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTTypeIdExpression

`copy, getOperator, getTypeId, setOperator, setTypeId`

## Field Details

### op_typeof

static final int op_typeof
Deprecated.
`op_typeof` is used for typeof( typeId ) type expressions.

See Also:
  - Constant Field Values

### op_alignof

static final int op_alignof
Deprecated.
`op_alignOf` is used for __alignOf( typeId ) type expressions.

See Also:
  - Constant Field Values

## Method Details

### copy

IGNUASTTypeIdExpression copy()
Deprecated.
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTTypeIdExpression`
Since:
  5.1